org.eclipse.aether.artifact

## Class ArtifactProperties

- java.lang.Object
- - org.eclipse.aether.artifact.ArtifactProperties

-     public final class ArtifactProperties
      extends Object

  The keys for common properties of artifacts.
  See Also:
    `Artifact.getProperties()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONSTITUTES_BUILD_PATH` A boolean flag indicating whether the artifact is meant to be used for the compile/runtime/test build path of a consumer project.
    `static String` | `DOWNLOAD_URL` The URL to a web page from which the artifact can be manually downloaded.
    `static String` | `INCLUDES_DEPENDENCIES` A boolean flag indicating whether the artifact presents some kind of bundle that physically includes its dependencies, e.g. a fat WAR.
    `static String` | `LANGUAGE` The programming language this artifact is relevant for, e.g.
    `static String` | `LOCAL_PATH` The (expected) path to the artifact on the local filesystem.
    `static String` | `TYPE` A high-level characterization of the artifact, e.g.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final String TYPE

      A high-level characterization of the artifact, e.g. "maven-plugin" or "test-jar".
      See Also:
        `ArtifactType.getId()`, Constant Field Values

    - #### LANGUAGE

          public static final String LANGUAGE

      The programming language this artifact is relevant for, e.g. "java" or "none".
      See Also:
        Constant Field Values

    - #### LOCAL_PATH

          public static final String LOCAL_PATH

      The (expected) path to the artifact on the local filesystem. An artifact which has this property set is assumed to be not present in any regular repository and likewise has no artifact descriptor. Artifact resolution will verify the path and resolve the artifact if the path actually denotes an existing file. If the path isn't valid, resolution will fail and no attempts to search local/remote repositories are made.
      See Also:
        Constant Field Values

    - #### INCLUDES_DEPENDENCIES

          public static final String INCLUDES_DEPENDENCIES

      A boolean flag indicating whether the artifact presents some kind of bundle that physically includes its dependencies, e.g. a fat WAR.
      See Also:
        Constant Field Values

    - #### CONSTITUTES_BUILD_PATH

          public static final String CONSTITUTES_BUILD_PATH

      A boolean flag indicating whether the artifact is meant to be used for the compile/runtime/test build path of a consumer project.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_URL

          public static final String DOWNLOAD_URL

      The URL to a web page from which the artifact can be manually downloaded. This URL is not contacted by the repository system but serves as a pointer for the end user to assist in getting artifacts that are not published in a proper repository.
      See Also:
        Constant Field Values

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.